List Offer Templates
curl --request GET \
--url https://api.lendflow.com/api/offer_templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"6ff8f7f6-1eb3-3525-be4a-3932c805afed"
],
"enabled": false,
"default": true,
"search": "g",
"lendflow": false,
"owned": true,
"client": "architecto",
"funders": [
"a4855dc5-0acb-33c3-b921-f4291f719ca0"
],
"products": [
"arloc"
],
"clients": [
"architecto"
],
"workflow_template": "a4855dc5-0acb-33c3-b921-f4291f719ca0",
"has_applications": false,
"distinct_name": true
}
'import requests
url = "https://api.lendflow.com/api/offer_templates"
payload = {
"ids": ["6ff8f7f6-1eb3-3525-be4a-3932c805afed"],
"enabled": False,
"default": True,
"search": "g",
"lendflow": False,
"owned": True,
"client": "architecto",
"funders": ["a4855dc5-0acb-33c3-b921-f4291f719ca0"],
"products": ["arloc"],
"clients": ["architecto"],
"workflow_template": "a4855dc5-0acb-33c3-b921-f4291f719ca0",
"has_applications": False,
"distinct_name": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ids: ['6ff8f7f6-1eb3-3525-be4a-3932c805afed'],
enabled: false,
default: true,
search: 'g',
lendflow: false,
owned: true,
client: 'architecto',
funders: ['a4855dc5-0acb-33c3-b921-f4291f719ca0'],
products: ['arloc'],
clients: ['architecto'],
workflow_template: 'a4855dc5-0acb-33c3-b921-f4291f719ca0',
has_applications: false,
distinct_name: true
})
};
fetch('https://api.lendflow.com/api/offer_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": null,
"name": "Aleen O'Kon",
"description": "Nihil accusantium harum mollitia modi deserunt.",
"product": "arloc",
"is_enabled": true,
"is_default": false,
"is_fallback": false,
"funder_id": "0660949b-6e7c-4d95-9cb7-e10189fffe2d",
"client_id": null,
"created_at": null,
"updated_at": null
},
{
"id": null,
"name": "Cynthia Fahey",
"description": "Quia officia est dignissimos neque.",
"product": "receivables_purchase",
"is_enabled": true,
"is_default": false,
"is_fallback": false,
"funder_id": "6fc5c446-0ecb-4df9-b041-775476afba68",
"client_id": null,
"created_at": null,
"updated_at": null
}
]
}Offer Templates
List Offer Templates
Returns a paginated list of the offer templates available to your account. Results can be filtered by attributes such as status, name, funders, and products.
GET
/
api
/
offer_templates
List Offer Templates
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Body
application/json
Must be a valid UUID.
Example:
["6ff8f7f6-1eb3-3525-be4a-3932c805afed"]
Example:
false
Example:
true
Must not be greater than 100 characters.
Example:
"g"
Example:
false
Example:
true
Must match an existing stored value.
Example:
"architecto"
Must be a valid UUID.
Example:
["a4855dc5-0acb-33c3-b921-f4291f719ca0"]
Available options:
arloc, line_of_credit, receivables_purchase, term_loan, equipment_financing, erc, sba Example:
["arloc"]
Must match an existing stored value.
Example:
["architecto"]
Must be a valid UUID. Must match an existing stored value.
Example:
"a4855dc5-0acb-33c3-b921-f4291f719ca0"
Example:
false
Example:
true
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"id": null,
"name": "Aleen O'Kon",
"description": "Nihil accusantium harum mollitia modi deserunt.",
"product": "arloc",
"is_enabled": true,
"is_default": false,
"is_fallback": false,
"funder_id": "0660949b-6e7c-4d95-9cb7-e10189fffe2d",
"client_id": null,
"created_at": null,
"updated_at": null
},
{
"id": null,
"name": "Cynthia Fahey",
"description": "Quia officia est dignissimos neque.",
"product": "receivables_purchase",
"is_enabled": true,
"is_default": false,
"is_fallback": false,
"funder_id": "6fc5c446-0ecb-4df9-b041-775476afba68",
"client_id": null,
"created_at": null,
"updated_at": null
}
]
Was this page helpful?